This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 853688 - Downgrading a firefox goes right to Firefox 12, instead of 13 or 14
Downgrading a firefox goes right to Firefox 12, instead of 13 or 14
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 02:57 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-09-19 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-02 10:08:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-09-02 02:57:49 EDT
Description of problem:
The current firefox release is 15. Attempting to downgrade firefox wants to install firefox 12, instead of 14, which was the previous stable version.

Version-Release number of selected component (if applicable):
0.9.2 

How reproducible:
Always

Steps to Reproduce:
1.yum downgrade firefox in a terminal
2.
3.
  
Actual results:
Wants to go from ff15 -> ff12

Expected results:
Should go to ff14.

Additional info:
Comment 1 Tim Lauridsen 2012-09-02 10:08:32 EDT
yum can only downgrade to a version there is available in the fedora repositories.

Firefix 15 is available in updates & Fedora 12 in the release repo fedora.

# yum list firefox --showduplicates

Installed Packages
firefox.x86_64                       15.0-1.fc17                        @updates
Available Packages
firefox.x86_64                       12.0-1.fc17                        fedora  
firefox.x86_64                       15.0-1.fc17                        updates
Comment 2 Ankur Sinha (FranciscoD) 2012-09-02 21:15:37 EDT
(In reply to comment #1)
> yum can only downgrade to a version there is available in the fedora
> repositories.
> 
> Firefix 15 is available in updates & Fedora 12 in the release repo fedora.
> 

I know. So, whatever the current version may be, you can only downgrade to the version in the release repo? We don't store intermediate versions at all?
Comment 3 Tim Lauridsen 2012-09-03 00:36:22 EDT
If you have updates-testing enabled and you install firefox from there, then you will be able to downgrade to the version from current updates, but when the update is moved to updates, you can only downgrade to the release version of firefox.
Comment 4 Mykel Alvis 2012-11-07 13:47:51 EST
A downgrade of Firefox does NOT result in a downgrade of xulrunner.  In order to make firefox work correctly under these circumstances, I was forced to 

yum -y downgrade xulrunner

as well.

Firefox then works.

Note You need to log in before you can comment on or make changes to this bug.